%define dbus_user      messagebus
%define dbus_group     messagebus

%define system_socket_dir %_var/run/dbus
%define session_socket_dir %system_socket_dir/users
%define system_socket %system_socket_dir/system_bus_socket

Name: dbus
Version: 1.2.16
Release: alt2

Summary: D-BUS is a simple IPC framework based on messages.
Summary(ru_RU.UTF-8): D-BUS это простая среда межпроцессного взаимодействия, построенная на сообщениях
License: AFL/GPL
Group: System/Servers
Url: http://www.freedesktop.org/Software/dbus

Packager: Valery Inozemtsev <shrek@altlinux.ru>

PreReq: shadow-utils
Requires: lib%name = %version-%release

BuildRequires: doxygen gcc-c++ libexpat-devel libSM-devel libX11-devel xmlto

Source: %name-%version.tar
Patch: %name-%version-%release.patch

%description
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains D-BUS daemon and system utilities.

%description -l ru_RU.UTF-8
D-BUS - это система для межпроцессного взаимодействия (IPC), которое имело бы
маленькое время реакции (low-latency), не требовало бы большого количества
ресурсов и было бы легким в использовании. Более подробно:

  o D-BUS имеет маленькое время реакции, т.к. ее строение позволяет избежать
    циклов ожидания и выполнять операции асинхронно, подобно тому, как устроен
    X протокол

  o D-BUS экономно относится к русурсам, т.к. в ее основе лежит двоичный протокол,
    и нет нужды преобразовывать данные из/в текстовый формат, н-р, XML. Поскольку
    D-BUS предназначен для высокоскоростного взаимодействия в пределах одного
    компьютера, а не в Internet, это является эффективной оптимизацией.

  o D-BUS легка в использовании, т.к. предполагает работу в терминах сообщений,
    а не потоков байтов, и автоматически выполняет большую часть сложных задач
    IPC. Кроме того, библиотека D-BUS специально написана так, чтобы конечные
    пользователи работали не с самой библиотекой, а с ее обертками, подогнанными
    под конкретные прикладные среды программирования.

В этом пакете находятся сервер и системные утилиты D-BUS.

%package tools
Summary: D-BUS user helper tools
Summary(ru_RU.UTF-8): Пользовательские утилиты D-BUS
Group: Monitoring
Requires: %name = %version-%release
Provides: dbus-userhelpers = %version-%release
Obsoletes: dbus-userhelpers

%description tools
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package includes user tools for launching D-BUS service on session startup.

%description -l ru_RU.UTF-8 tools
D-BUS - это система для межпроцессного взаимодействия (IPC), которое имело бы
маленькое время реакции (low-latency), не требовало бы большого количества
ресурсов и было бы легким в использовании. Более подробно:

  o D-BUS имеет маленькое время реакции, т.к. ее строение позволяет избежать
    циклов ожидания и выполнять операции асинхронно, подобно тому, как устроен
    X протокол

  o D-BUS экономно относится к русурсам, т.к. в ее основе лежит двоичный протокол,
    и нет нужды преобразовывать данные из/в текстовый формат, н-р, XML. Поскольку
    D-BUS предназначен для высокоскоростного взаимодействия в пределах одного
    компьютера, а не в Internet, это является эффективной оптимизацией.

  o D-BUS легка в использовании, т.к. предполагает работу в терминах сообщений,
    а не потоков байтов, и автоматически выполняет большую часть сложных задач
    IPC. Кроме того, библиотека D-BUS специально написана так, чтобы конечные
    пользователи работали не с самой библиотекой, а с ее обертками, подогнанными
    под конкретные прикладные среды программирования.

В данный пакет включены пользовательские утилиты для запуска сервиса D-BUS при старте сессии.

%package tools-gui
Summary:  D-BUS user helper tools
Group: Monitoring
Requires: %name = %version-%release

%description tools-gui
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package includes user tools for launching D-BUS service on session startup.

%package -n lib%name
Summary: D-BUS shared libraries
Group: System/Libraries

%description -n lib%name
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains D-BUS shared libraries.

%description -n lib%name -l ru_RU.UTF-8
D-BUS - это система для межпроцессного взаимодействия (IPC), которое имело бы
маленькое время реакции (low-latency), не требовало бы большого количества
ресурсов и было бы легким в использовании. Более подробно:

  o D-BUS имеет маленькое время реакции, т.к. ее строение позволяет избежать
    циклов ожидания и выполнять операции асинхронно, подобно тому, как устроен
    X протокол

  o D-BUS экономно относится к русурсам, т.к. в ее основе лежит двоичный протокол,
    и нет нужды преобразовывать данные из/в текстовый формат, н-р, XML. Поскольку
    D-BUS предназначен для высокоскоростного взаимодействия в пределах одного
    компьютера, а не в Internet, это является эффективной оптимизацией.

  o D-BUS легка в использовании, т.к. предполагает работу в терминах сообщений,
    а не потоков байтов, и автоматически выполняет большую часть сложных задач
    IPC. Кроме того, библиотека D-BUS специально написана так, чтобы конечные
    пользователи работали не с самой библиотекой, а с ее обертками, подогнанными
    под конкретные прикладные среды программирования.

В этом пакете находятся разделяемые библиотеки D-BUS.

%package -n lib%name-devel
Summary: D-BUS development files
Group: Development/C
Requires: lib%name = %version-%release
%description -n lib%name-devel
D-BUS is a system for low-latency, low-overhead, easy to use interprocess
communication (IPC). In more detail:

  o D-BUS is low-latency because it is designed to avoid round trips and
    allow asynchronous operation, much like the X protocol.

  o D-BUS is low-overhead because it uses a binary protocol, and does not
    have to convert to and from a text format such as XML. Because D-BUS is
    intended for potentially high-resolution same-machine IPC, not primarily
    for Internet IPC, this is an interesting optimization.

  o D-BUS is easy to use because it works in terms of messages rather than
    byte streams, and automatically handles a lot of the hard IPC issues.
    Also, the D-BUS library is designed to be wrapped in a way that lets
    developers use their framework's existing object/type system, rather
    than learning a new one specifically for IPC.

This package contains D-BUS development files (headers and libraries links).

%description -n lib%name-devel -l ru_RU.UTF-8
D-BUS - это система для межпроцессного взаимодействия (IPC), которое имело бы
маленькое время реакции (low-latency), не требовало бы большого количества
ресурсов и было бы легким в использовании. Более подробно:

  o D-BUS имеет маленькое время реакции, т.к. ее строение позволяет избежать
    циклов ожидания и выполнять операции асинхронно, подобно тому, как устроен
    X протокол

  o D-BUS экономно относится к русурсам, т.к. в ее основе лежит двоичный протокол,
    и нет нужды преобразовывать данные из/в текстовый формат, н-р, XML. Поскольку
    D-BUS предназначен для высокоскоростного взаимодействия в пределах одного
    компьютера, а не в Internet, это является эффективной оптимизацией.

  o D-BUS легка в использовании, т.к. предполагает работу в терминах сообщений,
    а не потоков байтов, и автоматически выполняет большую часть сложных задач
    IPC. Кроме того, библиотека D-BUS специально написана так, чтобы конечные
    пользователи работали не с самой библиотекой, а с ее обертками, подогнанными
    под конкретные прикладные среды программирования.

В этом пакете находятся файлы для разработки с использованием D-BUS (заголовочные
файлы и библиотеки).

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--disable-tests \
	--disable-asserts \
	--enable-xml-docs \
	--enable-doxygen-docs \
	--enable-inotify \
	--with-xml=expat \
	--libexecdir=%_prefix/libexec/dbus-1 \
	--with-system-pid-file=%_var/run/messagebus.pid \
	--with-system-socket=%system_socket \
	--with-session-socket-dir=%session_socket_dir \
	--localstatedir=%_var \
	--disable-static

%make_build

doxygen Doxyfile

%install
%make DESTDIR=%buildroot install

cp -a doc/api/html api

mkdir -p %buildroot%_datadir/dbus-1/interfaces
mkdir -p %buildroot%system_socket_dir
mkdir -p %buildroot%session_socket_dir
mkdir -p %buildroot%_localstatedir/dbus
touch %buildroot%_localstatedir/dbus/machine-id

%pre
%_sbindir/groupadd -r -f %dbus_group 2> /dev/null ||:
%_sbindir/useradd -r -n -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:

%post
%post_service messagebus
%_bindir/dbus-uuidgen --ensure

#%triggerin -- %name < %version
#service messagebus restart
#%_bindir/dbus-uuidgen --ensure

%preun
%preun_service messagebus

%files
%dir %_sysconfdir/dbus-1
%config(noreplace) %_sysconfdir/dbus-1/*.conf
%dir %_sysconfdir/dbus-1/system.d
%dir %_sysconfdir/dbus-1/session.d
%_initdir/messagebus
%_bindir/dbus-cleanup-sockets
%_bindir/dbus-daemon
%_bindir/dbus-uuidgen
%dir %_prefix/libexec/dbus-1
%attr(4510,root,messagebus) %_prefix/libexec/dbus-1/dbus-daemon-launch-helper
%dir %_datadir/dbus-1
%dir %_datadir/dbus-1/services
%dir %_datadir/dbus-1/system-services
%attr(0755,root,root) %dir %system_socket_dir
%attr(1777,root,root) %dir %session_socket_dir
%dir %_localstatedir/dbus
%ghost %_localstatedir/dbus/machine-id
%_man1dir/dbus-cleanup-sockets.1*
%_man1dir/dbus-daemon.1*
%_man1dir/dbus-uuidgen.1*

%files tools
%_bindir/dbus-send
%_bindir/dbus-monitor
%_man1dir/dbus-send.1*
%_man1dir/dbus-monitor.1*

%files tools-gui
%_sysconfdir/X11/profile.d/*
%_bindir/dbus-launch
%_man1dir/dbus-launch.1*

%files -n lib%name
%_libdir/libdbus-1.so.*

%files -n lib%name-devel
%doc doc/TODO doc/dbus-*.html doc/dcop-howto.txt api
%doc HACKING AUTHORS
%_includedir/dbus-1.*
%_libdir/libdbus-1.so
%_libdir/dbus-1.*
%_pkgconfigdir/dbus-1.pc
%dir %_datadir/dbus-1
%dir %_datadir/dbus-1/interfaces

%changelog
* Fri Aug 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.16-alt2
- patch to increase max method timeout (closes: #20990)

* Wed Jul 15 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.16-alt1
- 1.2.16

* Wed May 27 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.14-alt2
- dbus contains /var/lib/dbus/machine-id
- libdbus-devel contains /usr/share/dbus-1/interfaces

* Thu May 07 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.14-alt1
- 1.2.14

* Thu Apr 23 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.12-alt3
- fixed CVE-2009-1189

* Wed Mar 11 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.12-alt2
- changed chkconfig 345 33 92 -> 345 10 92

* Wed Feb 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.12-alt0.M41.1
- build for branch 4.1

* Wed Feb 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.12-alt0.M50.1
- build for branch 5.0

* Mon Jan 26 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.12-alt1
- 1.2.12

* Wed Jan 21 2009 Valery Inozemtsev <shrek@altlinux.ru> 1.2.10-alt1
- 1.2.10

* Tue Dec 09 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.8-alt1
- 1.2.8

* Mon Dec 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.6-alt1
- 1.2.6

* Sun Nov 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.4-alt2
- removed obsolete %%post_ldconfig/%%postun_ldconfig calls

* Wed Oct 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.4-alt0.M41.1
- build for branch 4.1

* Tue Oct 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.3-alt1.M41.1
- build for branch 4.1

* Mon Oct 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.3-alt2
- fixed CVE-2008-3834

* Mon Aug 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Wed Aug 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Sun Jun 08 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.1-alt2
- restart messagebus if version less 1.2.1 (close #15763)

* Sun Apr 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.2.1-alt1
- 1.2.1

* Thu Feb 28 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.20-alt1
- 1.1.20:
  + fixed CVE-2008-0595

* Fri Jan 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.4-alt1
- 1.2.0RC2

* Wed Jan 16 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.3-alt1
- 1.2.0RC1

* Tue Jan 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt3
- update git patch
- enable inotify
- disable condrestart

* Wed Dec 12 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt2
- added lost /etc/dbus-1/session.d

* Sun Dec 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 1.1.2-alt1
- 1.1.2

* Sat Sep 29 2007 Igor Zubkov <icesik@altlinux.org> 1.0.2-alt4
- change chkconfig 345 46 03 -> 345 33 92
- add trigger for update

* Fri Apr 27 2007 Igor Zubkov <icesik@altlinux.org> 1.0.2-alt3
- Add X11 session script to dbus-tools-gui (closes #10079)

* Tue Apr 10 2007 Igor Zubkov <icesik@altlinux.org> 1.0.2-alt2
- clean up spec file
- clean up buildrequires
- shutup useradd and groupadd (closes #8760)
- own /etc/dbus-1/ and /usr/share/dbus-1/ (closes #10365)

* Thu Dec 14 2006 Igor Zubkov <icesik@altlinux.org> 1.0.2-alt1
- 1.0.1 -> 1.0.2 (security bug fix)
- patch dbus-1.0.1-pthread-holder-fix.patch merged in upstream
- CVE-2006-6107 (http://secunia.com/advisories/23373/)

* Mon Dec 04 2006 Igor Zubkov <icesik@altlinux.org> 1.0.1-alt4
- fix init script
- don't make tests

* Sun Nov 26 2006 Igor Zubkov <icesik@altlinux.org> 1.0.1-alt3
- add /var/lib/dbus/ to dbus package
- make tests

* Sun Nov 26 2006 Igor Zubkov <icesik@altlinux.org> 1.0.1-alt2
- update init script

* Sun Nov 26 2006 Igor Zubkov <icesik@altlinux.org> 1.0.1-alt1
- 0.94 -> 1.0.1
- dbus-send-do-not-close-shared-connection-thoenig-01.patch merged in upstream

* Sun Nov 26 2006 Igor Zubkov <icesik@altlinux.org> 0.94-alt2
- merge with Sisyphus dbus

* Sun Nov 26 2006 Igor Zubkov <icesik@altlinux.org> 0.94-alt1
- 0.62 -> 0.94 (aka 1.0 RC2)
- buildreq (also, remove /proc from BuildRequires)
- remove dbus-viewer from dbus-tools-gui (by upstream)
- add new tool -- dbus-uuidgen to dbus package
- remove ALL binding's (by upstream)

* Fri Nov 17 2006 Igor Zubkov <icesik@altlinux.org> 0.62-alt3
- fix build (try 2)

* Fri Nov 17 2006 Igor Zubkov <icesik@altlinux.org> 0.62-alt2
- disable mono bindings
- disable qt4 bindings
- add packager tag

* Tue Jun 20 2006 Anton Farygin <rider@altlinux.ru> 0.62-alt1
- new version

* Mon May 22 2006 Anton Farygin <rider@altlinux.ru> 0.61-alt3
- proc added to BuildReq (need for mono bindings)

* Fri May 19 2006 Anton Farygin <rider@altlinux.ru> 0.61-alt2
- fixed byild with gcc-4.1
- enabled mono bindings (thanks to sin@)

* Tue Apr 11 2006 Anton Farygin <rider@altlinux.ru> 0.61-alt1
- new version

* Wed Sep 07 2005 Anton Farygin <rider@altlinux.ru> 0.50-alt1
- new version

* Tue Aug 30 2005 Anton Farygin <rider@altlinux.ru> 0.36.2-alt1
- new version

* Fri Aug 26 2005 Anton Farygin <rider@altlinux.ru> 0.36.1-alt1
- new version

* Fri Aug 19 2005 Anton Farygin <rider@altlinux.ru> 0.35.2-alt1
- new version

* Wed Aug 17 2005 Anton Farygin <rider@altlinux.ru> 0.34-alt5
- start messagebus after dm

* Tue Aug 16 2005 Anton Farygin <rider@altlinux.ru> 0.34-alt4
- dbus-qt.h moved to libdbus-qt-devel

* Mon Aug 08 2005 Anton Farygin <rider@altlinux.ru> 0.34-alt3
- verbosing post-scripts
- disabled build for mono

* Wed Aug 03 2005 Anton Farygin <rider@altlinux.ru> 0.34-alt2
- requires fixed for devel packages (#7064)
- headers for dbus-qt moved to libdbus-qt-devel (#6311)

* Tue Jul 12 2005 Anton Farygin <rider@altlinux.ru> 0.34-alt1
- new version
- disabled mono for x86_64

* Fri May 13 2005 Anton Farygin <rider@altlinux.ru> 0.23.4-alt1
- updated to new version
- gui tools moved from dbus-tools to dbus-tools-gui

* Sun Feb 06 2005 Alexey Morozov <morozov@altlinux.org> 0.23-alt2
- Finally managed to compile Qt bindings!
  Some issues are unresolved though. Someone can take a look into
  qt/message.cpp and implement Message copy constructor and
  putting QVariant datatypes to dbus messages.

* Thu Jan 20 2005 Alexey Morozov <morozov@altlinux.org> 0.23-alt1
- New version (0.23)
- Patches from Mandrake are in mainstream now
- mono location workaround is applied for install section too
- -userhelpers subpackage is renamed to -tools as #5341 suggests
- python package is built against recent rpm-build-python specs and
  corresponding python-module-Pyrex

* Sat Jan 15 2005 Vital Khilko <vk@altlinux.ru> 0.22-alt2
- added patches from Mandrake Linux

* Tue Sep  7 2004 Alexey Morozov <morozov@altlinux.org> 0.22-alt1
- Initial build.
